GDB (xrefs)

Public Attributes | List of all members
vm_region_list Struct Reference

## Public Attributes
struct vm_region_list * | next
vm_prot_t | protection
vm_address_t | start
vm_size_t | length

## Detailed Description

Definition at line 2337 of file gnu-nat.c.

## Member Data Documentation

## ◆ length

vm_size_t vm_region_list::length

Definition at line 2342 of file gnu-nat.c.

Referenced by gnu_write_inferior().

## ◆ next

struct vm_region_list* vm_region_list::next

Definition at line 2339 of file gnu-nat.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), and gnu_write_inferior().

## ◆ protection

vm_prot_t vm_region_list::protection

Definition at line 2340 of file gnu-nat.c.

Referenced by gnu_find_memory_regions(), and gnu_write_inferior().

## ◆ start

vm_address_t vm_region_list::start

Definition at line 2341 of file gnu-nat.c.

Referenced by gnu_write_inferior().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gnu-nat.c